%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
%define with_maven 1
Name:          caliper
Version:       1.0
Release:       %mkrel 1
Summary:       Microbenchmarking Framework for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/caliper/
# svn export http://caliper.googlecode.com/svn/trunk caliper-1.0-SNAPSHOT
# rm -rf caliper-1.0-SNAPSHOT/lib/*

# lib/allocation.jar
# lib/gson.jar
# lib/guava-r09.jar
# lib/guava-src-r09.zip
# lib/jarjar-1.0rc8.jar
# lib/jsr305.jar
# lib/junit.jar

# tar czf caliper-1.0-SNAPSHOT-cleaned-src-svn.tar.gz caliper-1.0-SNAPSHOT
Source0:       caliper-1.0-SNAPSHOT-cleaned-src-svn.tar.gz
Source1:       caliper-script
Patch0:        caliper-1.0-caliper-pom.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: sonatype-oss-parent

BuildRequires: google-gson
BuildRequires: guava09
BuildRequires: java-allocation-instrumenter
BuildRequires: jsr-305 >= 0-0.5.20090319svn.2

%if !%with_maven
BuildRequires: ant
BuildRequires: jarjar
BuildRequires: junit
%else
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
%endif

Requires:      google-gson
Requires:      guava09
Requires:      java-allocation-instrumenter
Requires:      jsr-305 >= 0-0.5.20090319svn.2
# for script
#Requires:     jarjar
#Requires:     junit

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Caliper: Microbenchmarking Framework for Java

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Javadoc for %{name}.

%package examples
Summary:       Caliper Examples
Group:         Development/Java
Requires:      %{name} = %{version}

%description examples
Caliper Examples.

%package examples-javadoc
Summary:       Javadoc for %{name}-examples
Group:         Development/Java

%description examples-javadoc
Javadoc for %{name}-examples.

%prep
%setup -q -n caliper-%{namedversion}

# maven-release-plugin 
sed -i "s|<version>2.1</version>|<version>2.0</version>|" caliper/pom.xml
sed -i "s|<version>2.1</version>|<version>2.0</version>|" examples/pom.xml
ln -sf $(build-classpath allocation) lib/
%patch0 -p0

%build
%if !%with_maven
# TODO
%else
  export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
  mkdir -p $MAVEN_REPO_LOCAL
  (
    cd %{name}
    mvn-rpmbuild -e -Dmaven.test.failure.ignore=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL install javadoc:aggregate
  )

  (
    cd examples
    mvn-rpmbuild -e -Dmaven.repo.local=$MAVEN_REPO_LOCAL install javadoc:aggregate
  )
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}/target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 examples/target/%{name}-examples-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}-examples.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 examples/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-examples.pom
%add_to_maven_depmap com.google.code.%{name} %{name}-examples %{namedversion} JPP %{name}-examples
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-examples

install -pm 644 %{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap com.google.code.%{name} %{name} %{namedversion} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr %{name}/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}-examples
cp -pr examples/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-examples

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc COPYING README

%files javadoc
%{_javadocdir}/%{name}

%files examples
%{_javadir}/%{name}-examples.jar
%{_mavenpomdir}/JPP-%{name}-examples.pom
%{_mavendepmapfragdir}/%{name}-examples

%files examples-javadoc
%{_javadocdir}/%{name}-examples


%changelog

* Thu Nov 10 2011 gil <gil> 1.0-1.mga2
+ Revision: 166031
- imported package caliper

